/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: listmenu.h 2518 2006-01-29 23:33:10Z svntobi $
 *
 */

#ifndef ___LISTMENU_H
#define ___LISTMENU_H

#include <string>
#include <vdr/osdbase.h>
#include "menu.h"

class IListMenu: public IMenu
{
    public:
        virtual ~IListMenu() {};
        virtual void SetTitle(std::string title) = 0;
        virtual void AddItem(std::string item) = 0;
        virtual eOSState ShowSubMenu(cOsdMenu* menu) = 0;
        virtual void Clear() = 0;
        virtual void Refresh() = 0;
        virtual bool IsActiveMenu() = 0;
};

#endif
